# Responder a uma mensagem

### Exemplo de body recebido no webhook

#### Envio

{% code overflow="wrap" fullWidth="false" %}

```json
{
  "event": "MESSAGE",
  "data": {
    "message": {
      "key": {
        "remoteJid": "2313123@s.whatsapp.net",//Número da conversa
        "fromMe": true,// Propriedade que indica se a mensagem foi enviada pelo número conectado na instância
        "id": "BAE594C32A74989B"// ID da mensagem no WhatsApp
      },
      "message": {
        "extendedTextMessage": {
          "text": "respondendo",// texto da resposta
          "contextInfo": {
            "stanzaId": "BAE5E0D10E27D1E0",// id da mensagem que foi respondida
            "participant": "5511962313225@s.whatsapp.net",
            "quotedMessage": {
              "conversation": ""
            }
          }
        }
      },
      "messageTimestamp": "1686849541",
      "status": "PENDING"
    },
    "instanceId": 450
  }
}
```

{% endcode %}

#### Recebimento

```json
{
  "event": "MESSAGE",
  "data": {
    "message": {
      "key": {
        "remoteJid": "312321@s.whatsapp.net",
        "fromMe": false,// Propriedade que indica se a mensagem foi enviada pelo número conectado na instância
        "id": "4F4B7B2DC3C0125BAF0B56768E270792"
      },
      "messageTimestamp": 1686849644,
      "pushName": ".",
      "message": {
        "extendedTextMessage": {
          "text": "Oi",
          "previewType": "NONE",
          "contextInfo": {
            "stanzaId": "BAE5E0D10E27D1E0",
            "participant": "5511962313225@s.whatsapp.net",
            "quotedMessage": {// objeto com os dados da mensagem que foi respondida
              "conversation": "Hello World 🌎"
            }
          },
          "inviteLinkGroupTypeV2": "DEFAULT"
        },
        "messageContextInfo": {
          "deviceListMetadata": {
            "senderKeyHash": "AofW3u2YzeOX8g==",
            "senderTimestamp": "1686702226",
            "recipientKeyHash": "l7l0ggVb98ikLg==",
            "recipientTimestamp": "1686834621"
          },
          "deviceListMetadataVersion": 2
        }
      }
    },
    "instanceId": 450
  }
}
```

####


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.astraapi.com/webhooks/envio-recebimento-de-mensagens/responder-a-uma-mensagem.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
